Name:           anagramarama
Version:        0.4
Release:        %mkrel 1
Source:         %{name}-src-%{version}.tar.xz
Source1:        anagramarama-48x48.png
Source2:        anagramarama-32x32.png 
Source3:        anagramarama-22x22.png
License:        GPL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       %{_lib}SDL_mixer1.2
BuildRequires:  %{_lib}SDL-devel 
BuildRequires:	%{_lib}SDL_mixer1.2-devel
BuildRequires:  %{_lib}png-devel
Group:          Games/Puzzles
AutoReqProv:    on
Summary:        A word game. Like anagrams? You'll love Anagramarama!
Summary(de):	Ein Silbenrätsel. Mögen Sie Anagramme? Dann werden Sie Anagramarama lieben.
URL:            http://www.omega.clara.net/anagramarama/

%description
A free word game for Linux, Windows and BeOS.

The aim is to find as many words as possible in the time available.
Get the longest word and you'll advance to the next level.

Three words describe it...

Simple,Addictive,Fun 

%description -l de
Ein freies Silbenrätsel für Linux, Windows und BeOS.

Das Ziel ist es in der verfügbaren Zeit so viele Wörter wie möglich zu finden.
Bekommen Sie das längste Wort, dann können Sie zum nächsten Level voranschreiten.

Drei Wörter beschreiben es...

Einfach, suchtgefährdend, Spass

%prep
%setup -q
find $RPM_BUILD_DIR/%{name} -type d -name CVS -print0 | xargs -0 rm -rf {} \;

mv makefile.linux makefile

%build
# CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" \
%{__make} %{?jobs:-j%jobs}

%install
%{__mkdir_p} %buildroot%{_prefix}/share/%{name}/{audio,tools}
%{__mkdir_p} %buildroot%{_prefix}/share/%{name}/i18n/{en_GB,fr,pt_BR}/images
%{__mkdir_p} %buildroot%{_datadir}/icons/hicolor/{48x48,32x32,22x22}/apps
%{__mkdir_p} %buildroot%{_bindir}
%{__install} -m 644 audio/* %buildroot%{_prefix}/share/%{name}/audio
%{__install} -m 644 i18n/en_GB/wordlist.txt %buildroot%{_prefix}/share/%{name}/i18n/en_GB
%{__install} -m 644 i18n/en_GB/images/* %buildroot%{_prefix}/share/%{name}/i18n/en_GB/images
%{__install} -m 644 i18n/fr/wordlist.txt %buildroot%{_prefix}/share/%{name}/i18n/fr
%{__install} -m 644 i18n/fr/images/* %buildroot%{_prefix}/share/%{name}/i18n/fr/images
%{__install} -m 644 i18n/pt_BR/wordlist.txt %buildroot%{_prefix}/share/%{name}/i18n/pt_BR
%{__install} -m 644 i18n/pt_BR/images/* %buildroot%{_prefix}/share/%{name}/i18n/pt_BR/images
%{__install} -m 644 tools/* %buildroot%{_prefix}/share/%{name}/tools
#%{__install} -m 644 images/* %buildroot%{_prefix}/share/%{name}/images
#%{__install} -m 644 wordlist.txt %buildroot%{_prefix}/share/%{name}
%{__mv} ag %{name}
%{__install} -m 755 %{name} %buildroot%{_prefix}/share/%{name}
%{__install} -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{__install} -D -m 644 %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{__install} -D -m 644 %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/22x22/apps/%{name}.png

install -d %{buildroot}%{_prefix}/share/applications
%__cat > %{buildroot}%{_prefix}/share/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Type=Application
Exec=%{_prefix}/share/%{name}/startgame.sh 
Icon=%{name}
Terminal=false
Name=Anagramarama
Comment=A word game
Comment[de]=Ein Silbenrätsel
Categories=X-MandrivaLinux-MoreApplications-Games-Puzzles;Game;LogicGame;
EOF

%__cat > %{buildroot}%{_prefix}/share/%{name}/startgame.sh <<EOF
#!/bin/bash
cd %{_prefix}/share/%{name}
./%{name}
EOF

chmod +x %{buildroot}%{_prefix}/share/%{name}/startgame.sh

%clean
rm -rf %buildroot

%post
%update_icon_cache hicolor
%update_menus
%update_desktop_database

%postun
%clean_icon_cache hicolor
%clean_menus
%clean_desktop_database

%files
%defattr(-,root,root)
%doc gpl.txt readme
%{_datadir}

%changelog
* Thu Feb 09 2012 Neal <nealbrks0 at gmail dot com> 0.4-1pclos2012
- process

* Wed Feb 08 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.4-1pclos2012
- 0.4
- added german summary description and comment in desktop section
- added %{_lib} makro for 64bit
- added install for tools and i18n (new in source)
- commented install for images and wordlist.txt were moved to i18n
- added rename for makefile.linux to makefile (without we cant use the make command

* Sun Nov 28 2010 Texstar <texstar at gmail.copm> 0.1-2pclos2010
- fix rpm group to Games/Puzzles
- fix changelog
- fix menu name to Anagramarama

* Sat Nov 27 2010 MBantz <martin dot bantz at gmail dot com> 0.1-1pclos2010
- Built for PCLinuxos from lrupp at suse dot de

